> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Link Intent

> Creates the resource with your user connection configurations and returns Link Intent with `widget_token`.

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json POST /link_intents
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /link_intents:
    post:
      summary: Create Link Intent
      description: >-
        Creates the resource with your user connection configurations and
        returns Link Intent with `widget_token`.
      operationId: create-link-intent
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                product:
                  type: string
                  description: Product that will be used with this connection attempt.
                  default: movements
                country:
                  type: string
                  description: Country used by the connection attempt.
                  default: cl
                holder_type:
                  type: string
                  description: Bank account type of your user.
                  default: business
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "id": "li_a6WUojQ2SjSSeFjH",
                        "object": "link_intent",
                        "widget_token": "li_a6WUojQ2SjSSeFjH_sec_Q802GD8ZLmMuK0Atl4ucJuLp",
                        "country": "cl",
                        "holder_type": "individual",
                        "product": "movements",
                        "mode": "live",
                        "exchange_token": null,
                        "exchange_token_expires_at": null,
                        "created_at": "2022-12-01T01:50:12Z",
                        "status": "created"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: li_a6WUojQ2SjSSeFjH
                  object:
                    type: string
                    example: link_intent
                  widget_token:
                    type: string
                    example: li_a6WUojQ2SjSSeFjH_sec_Q802GD8ZLmMuK0Atl4ucJuLp
                  country:
                    type: string
                    example: cl
                  holder_type:
                    type: string
                    example: individual
                  product:
                    type: string
                    example: movements
                  mode:
                    type: string
                    example: live
                  exchange_token: {}
                  exchange_token_expires_at: {}
                  created_at:
                    type: string
                    example: '2022-12-01T01:50:12Z'
                  status:
                    type: string
                    example: created
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "error": {
                            "type": "invalid_request_error",
                            "message": "Missing required param: holder_type",
                            "code": "missing_parameter",
                            "param": "holder_type",
                            "doc_url": "https://docs.fintoc.com/reference/errors"
                        }
                    }
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        example: invalid_request_error
                      message:
                        type: string
                        example: 'Missing required param: holder_type'
                      code:
                        type: string
                        example: missing_parameter
                      param:
                        type: string
                        example: holder_type
                      doc_url:
                        type: string
                        example: https://docs.fintoc.com/reference/errors
      deprecated: false

````